> ## Documentation Index
> Fetch the complete documentation index at: https://docs.affelios.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Updates a customer item.



## OpenAPI

````yaml https://platform.affelios.com/swagger/v1/swagger.json put /api/v1/customer/{id}
openapi: 3.0.4
info:
  title: Affelios Platform API
  version: v1
servers: []
security:
  - Bearer: []
paths:
  /api/v1/customer/{id}:
    put:
      tags:
        - Customer
      summary: Updates a customer item.
      operationId: CustomerPut
      parameters:
        - name: id
          in: path
          description: The unique identifier of the customer item.
          required: true
          schema:
            type: string
        - name: X-Api-Key
          in: header
          schema:
            type: string
      requestBody:
        description: The customer item body.
        content:
          application/json:
            schema:
              allOf:
                - $ref: '#/components/schemas/AffiliateCustomerUpdateBody'
          text/json:
            schema:
              allOf:
                - $ref: '#/components/schemas/AffiliateCustomerUpdateBody'
          application/*+json:
            schema:
              allOf:
                - $ref: '#/components/schemas/AffiliateCustomerUpdateBody'
      responses:
        '200':
          description: OK
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/AffiliateCustomer'
            application/json:
              schema:
                $ref: '#/components/schemas/AffiliateCustomer'
            text/json:
              schema:
                $ref: '#/components/schemas/AffiliateCustomer'
components:
  schemas:
    AffiliateCustomerUpdateBody:
      type: object
      properties:
        revShareExcluded:
          type: boolean
          nullable: true
        cpaExcluded:
          type: boolean
          nullable: true
      additionalProperties: false
    AffiliateCustomer:
      type: object
      properties:
        id:
          type: string
          nullable: true
        operatorId:
          type: string
          nullable: true
        updatedTs:
          type: string
          format: date-time
        createdTs:
          type: string
          format: date-time
          nullable: true
        isIdEmpty:
          type: boolean
          readOnly: true
        createdBy:
          type: string
          nullable: true
        hidden:
          type: boolean
        deleted:
          type: boolean
        importId:
          type: string
          nullable: true
        externalId:
          type: string
          nullable: true
        externalBrandId:
          type: string
          nullable: true
        username:
          type: string
          nullable: true
        country:
          type: string
          nullable: true
        country_code:
          type: string
          nullable: true
        registerIp:
          type: string
          nullable: true
        registrationDate:
          type: string
          format: date-time
        hasDeposited:
          type: boolean
        ftdDate:
          type: string
          format: date-time
        cpaQualified:
          type: boolean
        cpaQualificationDate:
          type: string
          format: date-time
        lifetimeRevenue:
          type: number
          format: double
        firstDepositAmount:
          type: number
          format: double
          nullable: true
        firstRevenueAmount:
          type: number
          format: double
          nullable: true
        lifetimeDeposits:
          type: number
          format: double
          nullable: true
        lifetimeRevShareCommission:
          type: number
          format: double
        lifetimeCpaCommission:
          type: number
          format: double
        lifetimeFixedCommission:
          type: number
          format: double
        lifetimeCommission:
          type: number
          format: double
        tracking:
          allOf:
            - $ref: '#/components/schemas/TrackingDimensions'
          nullable: true
        category:
          type: string
          nullable: true
        label:
          type: string
          nullable: true
        revShareExcluded:
          type: boolean
        cpaExcluded:
          type: boolean
        transactions:
          type: array
          items:
            $ref: '#/components/schemas/Transaction'
          nullable: true
      additionalProperties: false
    TrackingDimensions:
      type: object
      properties:
        clickId:
          type: string
          nullable: true
        affiliateId:
          type: string
          nullable: true
        affiliateName:
          type: string
          nullable: true
        affiliateTrackerId:
          type: string
          nullable: true
        affiliateTrackerName:
          type: string
          nullable: true
        brandId:
          type: string
          nullable: true
        brandName:
          type: string
          nullable: true
        productId:
          type: string
          nullable: true
        productName:
          type: string
          nullable: true
        mediaId:
          type: string
          nullable: true
        media:
          allOf:
            - $ref: '#/components/schemas/StatMedia'
          nullable: true
        customParameter:
          type: string
          nullable: true
        date:
          type: string
          format: date-time
        referringUrl:
          type: string
          nullable: true
      additionalProperties: false
    Transaction:
      type: object
      properties:
        id:
          type: string
          nullable: true
        operatorId:
          type: string
          nullable: true
        updatedTs:
          type: string
          format: date-time
        createdTs:
          type: string
          format: date-time
          nullable: true
        isIdEmpty:
          type: boolean
          readOnly: true
        createdBy:
          type: string
          nullable: true
        hidden:
          type: boolean
        deleted:
          type: boolean
        importId:
          type: string
          nullable: true
        integrationType:
          type: string
          nullable: true
        customerId:
          type: string
          nullable: true
        type:
          type: string
          nullable: true
        externalId:
          type: string
          nullable: true
        externalCustomerId:
          type: string
          nullable: true
        externalBrandId:
          type: string
          nullable: true
        externalProductId:
          type: string
          nullable: true
        country:
          type: string
          nullable: true
        country_code:
          type: string
          nullable: true
        depositAmount:
          type: number
          format: double
        firstTransaction:
          type: boolean
        grossRevenue:
          type: number
          format: double
        revenueAmount:
          type: number
          format: double
        wageredAmount:
          type: number
          format: double
        taxes:
          type: number
          format: double
        costOfGoodsSold:
          type: number
          format: double
        paymentFees:
          type: number
          format: double
        cpaQualified:
          type: boolean
        revShareCommission:
          type: number
          format: double
        cpaCommission:
          type: number
          format: double
        fixedCommission:
          type: number
          format: double
        transactionDate:
          type: string
          format: date-time
        periodId:
          type: integer
          format: int32
        tracking:
          allOf:
            - $ref: '#/components/schemas/TrackingDimensions'
          nullable: true
        category:
          type: string
          nullable: true
        label:
          type: string
          nullable: true
        note:
          type: string
          nullable: true
        childAffiliateIds:
          type: array
          items:
            type: string
          nullable: true
        payoutInfo:
          allOf:
            - $ref: '#/components/schemas/TransactionPayoutInfo'
          nullable: true
        planId:
          type: string
          nullable: true
        planName:
          type: string
          nullable: true
      additionalProperties: false
    StatMedia:
      type: object
      properties:
        type:
          type: string
          nullable: true
        text:
          type: string
          nullable: true
        imageUrl:
          type: string
          nullable: true
      additionalProperties: false
    TransactionPayoutInfo:
      type: object
      properties:
        affiliateId:
          type: string
          nullable: true
        affiliateName:
          type: string
          nullable: true
        invoicePeriod:
          type: string
          nullable: true
        invoiceDate:
          type: string
          format: date-time
        dueDate:
          type: string
          format: date-time
          nullable: true
        payoutMethod:
          allOf:
            - $ref: '#/components/schemas/PayoutMethod'
          nullable: true
        paymentDate:
          type: string
          format: date-time
          nullable: true
        amount:
          type: number
          format: double
        tax:
          type: number
          format: double
        total:
          type: number
          format: double
        notes:
          type: string
          nullable: true
        email:
          type: string
          nullable: true
        website:
          type: string
          nullable: true
        affiliateContact:
          type: string
          nullable: true
        affiliateCompany:
          type: string
          nullable: true
        affiliateCompanyNo:
          type: string
          nullable: true
        affiliateAddress:
          allOf:
            - $ref: '#/components/schemas/ContactAddress'
          nullable: true
        affiliateTaxIds:
          type: array
          items:
            $ref: '#/components/schemas/PaymentTaxId'
          nullable: true
        affiliateVatRegistered:
          type: boolean
          nullable: true
        affiliateTaxRate:
          type: number
          format: double
        companyName:
          type: string
          nullable: true
        companyInvoiceAddress:
          allOf:
            - $ref: '#/components/schemas/ContactAddress'
          nullable: true
        companyTaxIds:
          type: array
          items:
            $ref: '#/components/schemas/PaymentTaxId'
          nullable: true
        companyNumber:
          type: string
          nullable: true
        accountsEmail:
          type: string
          nullable: true
        currencyCode:
          type: string
          nullable: true
      additionalProperties: false
    PayoutMethod:
      type: object
      properties:
        id:
          type: string
          nullable: true
        operatorId:
          type: string
          nullable: true
        updatedTs:
          type: string
          format: date-time
        createdTs:
          type: string
          format: date-time
          nullable: true
        isIdEmpty:
          type: boolean
          readOnly: true
        createdBy:
          type: string
          nullable: true
        hidden:
          type: boolean
        deleted:
          type: boolean
        companyId:
          type: string
          nullable: true
        companyName:
          type: string
          nullable: true
        type:
          type: string
          nullable: true
        payee:
          type: string
          nullable: true
        walletAddress:
          type: string
          nullable: true
        email:
          type: string
          nullable: true
        iban:
          type: string
          nullable: true
        swift:
          type: string
          nullable: true
        accountNumber:
          type: string
          nullable: true
        sortcode:
          type: string
          nullable: true
        bankName:
          type: string
          nullable: true
        bankAddress:
          allOf:
            - $ref: '#/components/schemas/ContactAddress'
          nullable: true
      additionalProperties: false
    ContactAddress:
      type: object
      properties:
        addressLine:
          type: string
          nullable: true
        addressLine2:
          type: string
          nullable: true
        city:
          type: string
          nullable: true
        region:
          type: string
          nullable: true
        country:
          type: string
          nullable: true
        postcode:
          type: string
          nullable: true
      additionalProperties: false
    PaymentTaxId:
      type: object
      properties:
        id:
          type: string
          nullable: true
        value:
          type: string
          nullable: true
        type:
          type: string
          nullable: true
        country:
          type: string
          nullable: true
        stripeId:
          type: string
          nullable: true
        stripeStatus:
          type: string
          nullable: true
      additionalProperties: false
  securitySchemes:
    Bearer:
      type: apiKey
      description: >-
        JWT Authorization header using the Bearer scheme. Example:
        "Authorization: Bearer {token}"
      name: Authorization
      in: header

````